%define _name   heroes

Name:           heroes-sdl
Version:        0.21
Release:        alt0.2

Summary:        Heroes - Game like Nibbles but different.
License:      GPL
Group:          Games/Arcade
URL:            http://heroes.sourceforge.net/
Source:         http://download.sourceforge.net/heroes/%_name-%version.tar.gz
Source1: heroes_menu

Patch1: heroes-0.21-gcc4.diff
Patch2: heroes-0.21-gcc_warning.diff
Provides: heroes

Requires: heroes-data
# Automatically added by buildreq on Wed Oct 04 2006
BuildRequires: esound help2man liballegro-devel libmikmod-devel libSDL-devel libSDL_mixer-devel linux-libc-headers perl-Locale-gettext

%description
Heroes is similar to the "Tron" and "Nibbles" games of yore, but includes
many graphical improvements and new game features.  In it, you must
maneuver a small vehicle around a world and collect powerups while avoiding
obstacles, your opponents' trails, and even your own trail. Several modes
of play are available, including "get-all-the-bonuses", deathmatch, and
"squish-the-pedestrians".

%define customdocdir %_docdir/%name-%version
%define pixdir  %_datadir/pixmaps

%prep
%setup -q -n %_name-%version
%patch1 -p1
%patch2


%build
%configure --bindir=%_gamesbindir --datadir=%_gamesdatadir --without-ggi --without-gii --disable-debug --enable-html-doc=%customdocdir ;
make

%install
%make_install DESTDIR=%buildroot install
%__install -pD -m644 ABOUT-NLS ANNOUNCE AUTHORS BUGS COPYING ChangeLog ChangeLog.00 ChangeLog.01 HACKING INSTALL NEWS README THANKS TODO %buildroot%customdocdir
mkdir -p %buildroot%pixdir
%__install -pD -m644 misc/heroes-*.xpm %buildroot%pixdir
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/heroes

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_gamesbindir/heroes
%_gamesbindir/heroeslvl
%_infodir/heroes*
%_man6dir/heroes.6*
%_man6dir/heroeslvl.6*
%_gamesdatadir/heroes/etc/heroesrc
%customdocdir/*
%pixdir/heroes-*.xpm
%_menudir/*


%changelog
* Wed Oct 04 2006 Alex Murygin <murygin@altlinux.ru> 0.21-alt0.2
- added patches from opensuse
  heroes-0.21-gcc4.diff
  heroes-0.21-gcc_warning.diff

* Sun Mar 16 2003 Alex Murygin <murygin@altlinux.ru> 0.21-alt0.1
- First build for Sisyphus.

